Download it now!
Bug 32018 - Base crashes opening a second database FILEOPEN
Summary: Base crashes opening a second database FILEOPEN
Status: CLOSED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-01 06:56 UTC by Miguel Galán
Modified: 2020-11-14 07:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Galán 2010-12-01 06:56:27 UTC
1 - Open a database, which is a mysql (@localhost) database, that can be edited without problem, after typing the password for this database
2 - open a second database, a local file.
3 - clic on the Tables icon -> crash! :-/

I'm using Debian unstable, and LibreOffice 3.3.0 OOO330m7 (Build:9526) libreoffice-build 3.2.99.0

regards,

Miguel
Comment 1 Miguel Galán 2010-12-01 06:59:10 UTC
I would be pleased to give some more info (logs, etc) if you tell me what's involved. Thanks in advance.
Comment 2 Yifan Jiang 2010-12-02 02:56:52 UTC
Hi Miguel, is it convenient for you to help attach the backtrace log @:

http://wiki.documentfoundation.org/BugReport

Thank you!
Comment 3 Alex Thurgood 2010-12-20 00:25:26 UTC
Hi 

Can not reproduce on Mac OSX 10.6.5 and LibO 3.3 RC1. I have just opened three databases, a mysql local native connection, a mysql local JDBC connection, and a local HSQLDB file. All opened fine. No crashes on selecting Tables.

As far as I'm concerned this WORKSFORME, so might be platform specific ?

Alex
Comment 4 Alex Thurgood 2011-01-06 06:40:33 UTC
This problem doesn't appear in RC2, and the OP hasn't got back with any info, so setting resolved fixed.

@juanmiguel : if you still have the problem with RC2 please re-open and provide us with the required extra information.

Alex
Comment 5 Jean-Baptiste Faure 2011-07-23 23:50:53 UTC
closing as worksforme. Please feel free to reopen if you still encounter the problem.
Comment 6 Björn Michaelsen 2011-12-22 05:36:55 UTC
Remove infoprovider from closed and resolved bugs.
Comment 7 Björn Michaelsen 2011-12-22 05:53:29 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.
Comment 8 Anthony Loring 2020-11-14 07:33:20 UTC
After opening Base Data it crashes when I try to use any function. I am using a Mac Pro 2008 8 core runing High Sierra. Whatever function I try to use after opening gives the same result - crash.